Package org.apache.solr.cluster.api

## Interface SolrCluster

    @Deprecated
    public interface SolrCluster

Deprecated.
Represents a Solr cluster

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`SimpleMap<SolrCollection>` `collections()` Deprecated. collections in the cluster
`SimpleMap<SolrCollection>` `collections​(boolean includeAlias)` Deprecated. collections in the cluster and aliases
`SimpleMap<CollectionConfig>` `configs()` Deprecated. Config sets in the cluster
`SimpleMap<SolrNode>` `nodes()` Deprecated. nodes in the cluster
`String` `overseerNode()` Deprecated. Name of the node in which the overseer is running
`String` `thisNode()` Deprecated. The name of the node in which this method is invoked from.

### Method Detail

#### collections

    SimpleMap<SolrCollection> collections()
                                   throws SolrException

Deprecated.
collections in the cluster

Throws:
  `SolrException`

#### collections

    SimpleMap<SolrCollection> collections​(boolean includeAlias)
                                   throws SolrException

Deprecated.
collections in the cluster and aliases

Throws:
  `SolrException`

#### nodes

    SimpleMap<SolrNode> nodes()
                       throws SolrException

Deprecated.
nodes in the cluster

Throws:
  `SolrException`

#### configs

    SimpleMap<CollectionConfig> configs()
                                 throws SolrException

Deprecated.
Config sets in the cluster

Throws:
  `SolrException`

#### overseerNode

    String overseerNode()
                 throws SolrException

Deprecated.
Name of the node in which the overseer is running

Throws:
  `SolrException`

#### thisNode

    String thisNode()

Deprecated.
The name of the node in which this method is invoked from. returns null, if this is not invoked from a Solr node